<?php
define('ARCHITECTABSPATH', substr($_SERVER['SCRIPT_FILENAME'], 0, strpos($_SERVER['SCRIPT_FILENAME'], 'wp-content')).DIRECTORY_SEPARATOR);
require_once(ARCHITECTABSPATH.'wp-load.php');

header("Content-type: text/css");

$themeoption = get_option('architect_theme');

$getShowExcerpt = get_option('architect_home_showexcerpt');
$getReadMore = get_option('architect_home_showmore');
$homepagescale = ARCHITECT_HOME_IMAGESCALE;
$getVal = get_option('architect_home_imagescale');
if($getVal)
{
	$homepagescale = $getVal;
}
		
switch($themeoption)
{
	case 'fire':
?>
	
body{color:#dd3b33;background:#494646;font-size:14px;}
a{color:#ffffff;}
a:hover{color:#fdf1db;}
td{padding-left:2px;}
#header{height:50px;padding:10px 2px;line-height:50px;text-align:center;background:#585858;border-bottom:solid 1px #aaaaa9;}
.headerImage #header{background:none;padding:0;border-bottom:none;}
#header a{color:#fdf1db;font-size:1.8em;font-weight:bold;text-decoration:none;border-bottom:solid 1px #aaaaa9;}
#header a:hover{background:none;border-bottom:solid 1px #ffffff;}

.description{margin-bottom:5px;}

.nav{text-align:center;padding:5px 0;color:#dd3b33;font-size:0.9em;border-top:solid 1px #aaaaa9;}
.nav a{color:#ffffff;padding:2px 5px;}
.nav a:hover{color:#fdf1db;}
.navigation td{padding-left:2px;}

.entry_row{padding-bottom:0;}
.entry_row.h2 {background-color:#585858;padding:4px 2px;border-bottom:solid 1px #aaaaa9;}
.entry_row.h2 a{color:#ffffff;padding:0 5px;}
.entry_row.h2 a:hover{background-color:#585858;color:#fdf1db;}
.entry_row.h2.imagePreview_wapl_link{border-bottom:none;}
.entry_row.h2.imagePreview .post-date{color:#fdf1db;}
.entry_row.readmore{padding:10px 2px 5px 2px;}
.entry_row.readmore_wapl_link{font-size:0.8em;font-style:italic;}

.entry_row.h2.imagePreview{clear:both;}
.entry_row.h2.imagePreview{float:left;display:block;margin-bottom:5px;padding-left:0;padding-top:0;}
.homePageImage{float:right;display:block;margin-right:3px;margin-bottom:5px;}
.entry_row.excerpt_row,.entry_row.readmore,.author{clear:both;}

.post-date{padding-top:5px;}

#footer{background:#585858;height:30px;padding:5px 0;border-top:solid 1px #aaaaa9;color:#0E273D;text-align:center;}
#footer a,#switchToDesktop a{color:#ffffff;}
#footer a:hover,#switchToDesktop a:hover{color:#fdf1db;}
#switchToDesktop{color:#dd3b33;text-align:center;}
<?php
if(get_option('architect_use_headerimage'))
{
	echo '#header{height:auto;background:none;margin:0;padding:0;border:none;}#header a{margin:0;padding:0;}';
}
if(get_option('architect_home_firstimage'))
{
	echo '.entry_row.h2.imagePreview{background-color:#585858;border-bottom:solid 1px #aaaaa9;width:'.((100-$homepagescale)-10).'%;}';
	echo '.entry_row.h2{background:none;border:none;}';
}
		break;
	case 'tree':
?>

body{color:#373737;background:#f2f9ff;font-size:14px;}
a{color:#4E7293;}
a:hover{color:#ffffff;}
td{padding-left:2px;}
#header{height:70px;padding:10px 2px;line-height:70px;text-align:center;background:#77ADDF url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/lonely-tree/top-slice.jpg);border-bottom:solid 2px #0E273D;}
.headerImage #header{background: none;padding:0;border-bottom:none;}
#header a{color:#f2f9ff;font-size:1.8em;font-weight:bold;text-decoration:none;border-bottom:solid 1px #ffffff;}
#header a:hover{background:none;border-bottom:solid 1px #c6eaf7;}

.description{margin-bottom:5px;}

.nav{text-align:center;padding:5px 0;color:#173F63;font-size:0.9em;border-top:solid 2px #0E273D;}
.nav a{color:#173F63;padding:2px 5px;}
.nav a:hover{color:#3a9cab;}
.navigation td{padding-left:2px;}

.entry_row{padding-bottom:0;}
.entry_row.h2 {background-color:#4E7293 url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/lonely-tree/middle-slice.jpg);padding:4px 2px;border-bottom:solid 2px #0E273D;}
.entry_row.h2 a{color:#D4F3FF;padding:0 5px;}
.entry_row.h2 a:hover{background-color:#ffffff;color:#828541;}
.entry_row.h2.imagePreview_wapl_link{border-bottom:none;}
.entry_row.h2.imagePreview .post-date{color:#f2f9ff;}
.entry_row.readmore{padding:10px 2px 5px 2px;}
.entry_row.readmore_wapl_link{font-size:0.8em;font-style:italic;}

.post-date{padding-top:5px;}

#footer{background:#4E7293 url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/lonely-tree/bottom-slice.jpg);height:40px;border-top:solid 2px #0E273D;color:#0E273D;text-align:center;}
#footer a,#switchToDesktop a{color:#0E273D;}
#footer a:hover,#switchToDesktop a:hover{background-color:#ffffff;color:#828541;}
#switchToDesktop{background:#4E7293;color:#0E273D;text-align:center;}		
<?php
		break;
	case 'sky':
?>
body{font-size:14px;font-size:14px !important;background:#71c1f2;font-family:verdana;}
a{color:#0C739C;}
h1,h2,h3,h4,h5,h6{color:#0C739C;margin-left:5px;}
.entry_row{padding-bottom:0;}

#header{text-align:center;border-top:solid 5px #10a1dc;background:url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/sky/header_bg.jpg) repeat-x 0 0;height:75px;}
#header a{display:block;margin:10px 5px 0 5px;font-weight:bold;color:#0C739C;border:solid 0px #ffffff;-moz-border-radius:10px;-webkit-border-radius:10px;}
#header a:hover{border:solid 0px #ffffff;}

.description{color:#ffffff;}

#footer{border-top:solid 5px #a5d10f;border-bottom:solid 10px #69a54e;background:url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/sky/footer_bg.jpg) repeat-x 0 0;height:75px;}
#footer .words{margin-top:30px;color:#ffffff;margin-left:5px;}

#switchToDesktop{background:#69a54e;color:#ffffff;}
#switchToDesktop div{margin-left:5px;}

.nav{text-align:center;background:url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/sky/menu_bg.jpg) repeat-x left top;height:30px;font-size:1.1em;padding:10px 5px 0 5px;}
.nav a{color:#ffffff;}

.entry_row.h2{margin-top:10px;padding-left:5px;}
.entry_row.h2 a{font-weight:bold;font-size:1.1em;color:#0C739C;}
.author{clear:both;padding-left:5px;}
.post-date{color:#525252;font-size:0.9em;font-style:italic;}

.entry_row.h2.imagePreview{float:left;display:block;margin-bottom:5px;}
.homePageImage{float:right;display:block;border:solid 3px #10a1dc;-moz-border-radius:5px;-webkit-border-radius:5px;margin-right:3px;margin-bottom:5px;}

.entry_row.excerpt_row,.entry_row.readmore{clear:both;}

.entry_row.excerpt,.entry_row.singlepost,.postTags,.postmetadata.alt,.postTitle,.postimage,.entry_row.page,.postmetadata.waplsmall.commentlist.even,.postmetadata.waplsmall.commentlist.odd{background:#ffffff;border:solid 3px #71c1f2;-moz-border-radius:5px;-webkit-border-radius:5px;padding:5px;margin:5px 0;}
.postTitle{color:#10a1dc;text-align:center;}
.postimage{text-align:center;}
.entry_row.readmore{padding-left:5px;}

label{color:#0C739C;margin-left:5px;}
input,textarea{border:solid 2px #0C739C;-moz-border-radius:3px;-webkit-border-radius:3px;padding:3px;width:90%;width:90% !important;margin-bottom:10px;margin-left:5px;}
#submit,#search,input[type="submit"]{width:auto;width:auto !important;}

.navigation.archiveNavigation{padding-left:5px;}

<?php
if(get_option('architect_home_firstimage'))
{
	echo '.entry_row.h2.imagePreview{width:'.((100-$homepagescale)-10).'%;}';
}

if(get_option('architect_use_headerimage'))
{
	echo '#header{height:auto;background:none;margin:0;padding:0;border:none;}#header a{margin:0;padding:0;}';
}
if($getShowExcerpt AND $getReadMore)
{
	echo '.entry_row.excerpt{margin-bottom:0;border-bottom:0;-moz-border-radius-bottomright:0;-webkit-border-bottom-right-radius:0;-moz-border-radius-bottomleft:0;-webkit-border-bottom-left-radius:0;}';
	echo '.entry_row.readmore{margin:0 3px;padding-bottom:5px;background:#ffffff;-moz-border-radius-bottomright:5px;-webkit-border-bottom-right-radius:5px;-moz-border-radius-bottomleft:5px;-webkit-border-bottom-left-radius:5px;}';
} else if($getReadMore)
{
	echo '.entry_row.readmore{margin:3px 3px 0 3px;padding-bottom:5px;background:#ffffff;-moz-border-radius:5px;-webkit-border-radius:5px;}';
}
?>

<?php 
		break;
	case 'wood':
?>
body.body{font-size:14px;font-size:14px !important;font-family:arial;background:#56361e url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/wood/bg.jpg) repeat 0 0;border-top:solid 5px #000000;color:#efefef;}
a{color:#9f3713;font-weight:bold;background:#ffffff;}

#header{padding:15px 5px 10px 5px;font-family:times, "Times New Roman", times-roman, georgia, serif;text-align:center;color:#ffffff;text-shadow: #0a0704 2px 2px 2px;background:none;}
#header a{color:#ffffff;text-shadow: #0a0704 2px 2px 2px;background:none;}
.description{color:#ffffff;text-shadow: #0a0704 2px 2px 2px;}

.nav{font-size:1.1em;margin:5px 0;padding:5px 0;border-top:solid 2px #000000;background:#19100b url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/wood/menu_bg.jpg) repeat-x 0 0;color:#19100b;text-align:center;border-bottom:solid 2px #835939;}
.nav a{color:#9f3713;padding-left:5px;font-weight:bold;background:none;text-decoration:none;}

.entry_row{padding-bottom:5px;}
.entry_row.h2{padding-left:5px;padding-top:15px;}
.entry_row.h2.imagePreview{float:left;display:block;margin-bottom:5px;padding-left:0;padding-top:0;}
.homePageImage{float:right;display:block;border:solid 3px #000000;-moz-border-radius:5px;-webkit-border-radius:5px;margin-right:3px;margin-bottom:5px;}
.entry_row.excerpt_row,.entry_row.readmore,.author{clear:both;}
.entry_row.h2 a,.postTitle,.entry_row h2{background:none;color:#d9d9d9;font-family:times, "Times New Roman", times-roman, georgia, serif;font-size:1.4em;font-weight:bold;text-shadow: #0a0704 2px 2px 2px;}
.entry_row h3,.entry_row h4{color:#000000;text-shadow: #735d4a 2px 2px 2px;}
.post-date{padding-bottom:0;color:#000000;text-shadow: #735d4a 2px 2px 2px;text-transform:uppercase;font-weight:bold;}

.entry_row.excerpt{margin:5px 0;padding:10px 5px 5px;background:#ffffff;border-bottom:solid 3px #322318;color:#605e5e;}
.entry_row.readmore{margin:5px 0;padding:5px 5px 10px 5px;background:#ffffff;border-bottom:solid 3px #322318;color:#605e5e;}
.entry_row.readmore a{color:#9f3713;font-weight:bold;}

.navigation.archiveNavigation_row,.navigation.archiveNavigation{display:block;}
.navigation_row{padding-left:5px;}

.postimage{text-align:center;margin:5px 0 10px 0;}
.postTitle{padding-left:5px;}
.entry_row.excerpt,.entry_row.singlepost,.postTags,.postmetadata.alt,.postimage,.entry_row.page,.postmetadata.waplsmall.commentlist.even,.postmetadata.waplsmall.commentlist.odd{background:#ffffff;border-bottom:solid 3px #322318;color:#605e5e;padding:5px;}

.search,.commentTitle_row label,.commentTitle,.author,.homeCategoryHeader,.homeCategories,.entry_row.pagetitle,.entry_row h2,.navHome,
	.postmetadata.tags,.postmetadata.categories,.post-date_row,.postmetadata.commentsTitle{padding-left:5px;}
#s,#search,.commentTitle_row input,.commentTitle_row textarea{margin:5px 0 10px 5px;border:solid 2px #322318;border-width:1px 2px 2px 1px;padding:5px;}
.search h3,.postmetadata h3,.commentTitle h3,.homeCategoryHeader h3{color:#000000;text-shadow: #735d4a 2px 2px 2px;}

label,input,textarea,select{margin-left:5px;}
.entry_row input,.entry_row textarea,.entry_row select{border:solid 2px #1c1b1c;border-width:1px 2px 2px 1px;padding:5px;}

#footer{background:#000000;border-top:solid 1px #835939;padding:10px 5px;color:#aaaaaa;}
#switchToDesktop{background:#000000;color:#aaaaaa;padding-left:5px;}

<?php
if(get_option('architect_home_firstimage'))
{
	echo '.entry_row.h2.imagePreview{width:'.((100-$homepagescale)-10).'%;}';
}

if(get_option('architect_use_headerimage'))
{
	echo '#header{height:auto;background:none;margin:0;padding:0;border:none;}#header a{margin:0;padding:0;}';
}
if($getShowExcerpt AND $getReadMore)
{
	echo '.entry_row.excerpt_row{padding-bottom:0;}';
	echo '.entry_row.excerpt{margin-bottom:0;border-bottom:0;}';
	echo '.entry_row.readmore{margin-top:0;}';
} else if($getReadMore)
{
	echo '.entry_row.readmore{padding-bottom:5px;background:#ffffff;}';
}
?>

<?php 
		break;
	case 'alum':
?>
body.body{font-size:14px;font-size:14px !important;font-family:Helvetica, Arial, Verdana, sans-serif;background:#b3b3b3 url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/alum/bg.jpg) repeat-x right top;color:#3e3e3e;}
a{color:#ffffff;font-weight:bold;}

#header{padding:15px 5px 10px 5px;text-align:left;color:#971955;background:none;}
#header a{color:#971955;background:none;}
.description{color:#971955;text-align:left;}

.nav{height:20px;font-size:1.1em;margin:5px 0;padding:5px 0;border-top:solid 2px #818181;background:#6f99a9 url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/alum/menu_bg.jpg) repeat-x left center;color:#19100b;text-align:left;border-bottom:solid 2px #fefefe;}
.nav a{color:#ffffff;padding-left:5px;font-weight:bold;background:none;text-decoration:none;}

.entry_row{padding-bottom:5px;}
.entry_row.h2{padding-left:5px;padding-top:15px;}
.entry_row.h2.imagePreview{float:left;display:block;margin-bottom:5px;padding-left:0;padding-top:0;}
.homePageImage{float:right;display:block;border:solid 3px #ffffff;-moz-border-radius:5px;-webkit-border-radius:5px;margin-right:3px;margin-bottom:5px;}
.entry_row.excerpt_row,.entry_row.readmore,.author{clear:both;}
.entry_row.h2 a,.postTitle,.entry_row h2{background:none;color:#404040;font-size:1.4em;font-weight:bold;}
.entry_row h3,.entry_row h4{color:#404040;}
.post-date{padding-bottom:0;color:#126a8b;font-style:italic;font-weight:bold;}

.entry_row.excerpt{margin:5px 0;padding:10px 5px 5px;border-bottom:solid 1px #dcdcdc;}
.entry_row.readmore{margin:0 0 5px 0;padding:0 5px 10px 5px;text-align:right;border-bottom:solid 1px #dcdcdc;}
.entry_row.readmore a{color:#971955;}

.navigation.archiveNavigation_row,.navigation.archiveNavigation{display:block;}
.navigation_row{padding-left:5px;}

.postimage{text-align:center;margin:5px 0 10px 0;}
.postTitle{padding-left:5px;}
.entry_row.excerpt,.entry_row.singlepost,.postTags,.postmetadata.alt,.postimage,.entry_row.page,.postmetadata.waplsmall.commentlist.even,.postmetadata.waplsmall.commentlist.odd{padding:5px;}

.search,.commentTitle_row label,.commentTitle,.author,.homeCategoryHeader,.homeCategories,.entry_row.pagetitle,.entry_row h2,.navHome,
	.postmetadata.tags,.postmetadata.categories,.post-date_row,.postmetadata.commentsTitle{padding-left:5px;}
#s,#search,.commentTitle_row input,.commentTitle_row textarea{margin:5px 0 10px 5px;border:solid 2px #7f7b73;border-width:1px 2px 2px 1px;padding:5px;}
.search h3,.postmetadata h3,.commentTitle h3,.homeCategoryHeader h3{color:#404040;}

label,input,textarea,select{margin-left:5px;}
.entry_row input,.entry_row textarea,.entry_row select{border:solid 2px #1c1b1c;border-width:1px 2px 2px 1px;padding:5px;}

#footer{background:#000000;border-top:solid 1px #7b7b7b;padding:10px 5px;color:#aaaaaa;}
#switchToDesktop{background:#000000;color:#aaaaaa;padding-left:5px;}
<?php
if(get_option('architect_home_firstimage'))
{
	echo '.entry_row.h2.imagePreview{width:'.((100-$homepagescale)-10).'%;}';
}

if(get_option('architect_use_headerimage'))
{
	echo '#header{height:auto;background:none;margin:0;padding:0;border:none;}#header a{margin:0;padding:0;}';
}
if($getShowExcerpt AND $getReadMore)
{
	echo '.entry_row.excerpt_row{padding-bottom:0;}';
	echo '.entry_row.excerpt{margin-bottom:0;border-bottom:0;}';
	echo '.entry_row.readmore{margin-top:0;}';
} else if($getReadMore)
{
	echo '.entry_row.readmore{padding-bottom:5px;background:#ffffff;}';
}
?>







<?php 
		break;
	case 'dark':
?>
body.body{font-size:14px;font-size:14px !important;font-family:arial;background:#2a2a2a url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/dark/bg.jpg) no-repeat center -60px;color:#b3b3b3;}
a{color:#d45731;font-weight:bold;}

#header{padding:15px 5px 10px 5px;font-family:times, "Times New Roman", times-roman, georgia, serif;text-align:center;color:#ffffff;text-shadow: #575757 2px 2px 2px;background:none;}
#header a{color:#ffffff;text-shadow: #575757 2px 2px 2px;background:none;}
.description{color:#ffffff;text-shadow: #575757 2px 2px 2px;}

.nav{height:20px;font-size:1.1em;margin:5px 0;padding:5px 0;background:#1c1b1c;color:#1c1b1c;text-align:center;}
.nav a{color:#d45731;padding-left:5px;font-weight:bold;background:none;text-decoration:none;font-style:italic;font-family:times, "Times New Roman", times-roman, georgia, serif;}

.entry_row{padding-bottom:5px;}
.entry_row.h2{padding-left:5px;padding-top:15px;}
.entry_row.h2.imagePreview{float:left;display:block;margin-bottom:5px;padding-left:0;padding-top:0;}
.homePageImage{float:right;display:block;border:solid 3px #d45731;-moz-border-radius:5px;-webkit-border-radius:5px;margin-right:3px;margin-bottom:5px;}
.entry_row.excerpt_row,.entry_row.readmore,.author{clear:both;}
.entry_row.h2 a,.postTitle,.entry_row h2{background:none;color:#9e8f61;font-family:times, "Times New Roman", times-roman, georgia, serif;font-size:1.4em;font-weight:bold;}
.entry_row h3,.entry_row h4{color:#9e8f61;}
.post-date{padding-bottom:0;color:#a4a4a4;font-style:italic;border-bottom:solid 1px #9e8f61;padding-top:10px;}

.entry_row.excerpt{margin:5px 0;padding:10px 5px 5px;}
.entry_row.readmore{margin:5px 0;padding:0 5px 10px 5px;text-align:right;font-size:1.3em;}
.entry_row.readmore a{color:#d45731;font-weight:bold;font-family:times, "Times New Roman", times-roman, georgia, serif;text-decoration:none;}

.navigation.archiveNavigation_row,.navigation.archiveNavigation{display:block;}
.navigation_row{padding-left:5px;}

.postimage{text-align:center;margin:5px 0 10px 0;}
.postTitle{padding-left:5px;}
.entry_row.excerpt,.entry_row.singlepost,.postTags,.postmetadata.alt,.postimage,.entry_row.page,.postmetadata.waplsmall.commentlist.even,.postmetadata.waplsmall.commentlist.odd{padding:5px;}

.search,.commentTitle_row label,.commentTitle,.author,.homeCategoryHeader,.homeCategories,.entry_row.pagetitle,.entry_row h2,.navHome,
	.postmetadata.tags,.postmetadata.categories,.post-date_row,.postmetadata.commentsTitle{padding-left:5px;}
#s,#search,.commentTitle_row input,.commentTitle_row textarea{margin:5px 0 10px 5px;border:solid 2px #1c1b1c;border-width:1px 2px 2px 1px;padding:5px;}
.search h3,.postmetadata h3,.commentTitle h3,.homeCategoryHeader h3{color:#9e8f61;}

label,input,textarea,select{margin-left:5px;}
.entry_row input,.entry_row textarea,.entry_row select{border:solid 2px #1c1b1c;border-width:1px 2px 2px 1px;padding:5px;}

#footer{background:#000000;padding:10px 5px;color:#aaaaaa;}
#switchToDesktop{background:#000000;color:#aaaaaa;padding-left:5px;}
<?php
if(get_option('architect_home_firstimage'))
{
	echo '.entry_row.h2.imagePreview{width:'.((100-$homepagescale)-10).'%;}';
}

if(get_option('architect_use_headerimage'))
{
	echo '#header{height:auto;background:none;margin:0;padding:0;border:none;}#header a{margin:0;padding:0;}';
}
if($getShowExcerpt AND $getReadMore)
{
	echo '.entry_row.excerpt_row{padding-bottom:0;}';
	echo '.entry_row.excerpt{margin-bottom:0;border-bottom:0;}';
	echo '.entry_row.readmore{margin-top:0;}';
} else if($getReadMore)
{
	echo '.entry_row.readmore{padding-bottom:5px;background:#ffffff;}';
}
?>

<?php 
		break;
	case 'paper':
?>

body.body{font-size:14px;font-size:14px !important;font-family:arial;background:#f5f1e9 url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/paper/bg.jpg) repeat 0 0;border-top:solid 5px #000000;color:#efefef;}
a{color:#c1834c;font-weight:bold;}

#header{padding:15px 5px 10px 5px;font-family:times, "Times New Roman", times-roman, georgia, serif;text-align:center;color:#000000;text-shadow: #fff9f3 2px 2px 2px;background:none;}
#header a{color:#000000;text-shadow: #fff9f3 2px 2px 2px;background:none;}
.description{color:#000000;text-shadow: #fff9f3 2px 2px 2px;}

.nav{height:20px;font-size:1.1em;margin:5px 0;padding:5px 0;border-top:solid 2px #c1834c;background:#c1834c url(<?php echo WP_PLUGIN_URL.'/'.get_wapl_plugin_base();?>/theme/images/paper/menu_bg.jpg) repeat-x 0 0;color:#19100b;text-align:center;border-bottom:solid 2px #beac9c;}
.nav a{color:#ffffff;padding-left:5px;font-weight:bold;background:none;text-decoration:none;}

.entry_row{padding-bottom:5px;}
.entry_row.h2{padding-left:5px;padding-top:15px;}
.entry_row.h2.imagePreview{float:left;display:block;margin-bottom:5px;padding-left:0;padding-top:0;}
.homePageImage{float:right;display:block;border:solid 3px #c1834c;-moz-border-radius:5px;-webkit-border-radius:5px;margin-right:3px;margin-bottom:5px;}
.entry_row.excerpt_row,.entry_row.readmore,.author{clear:both;}
.entry_row.h2 a,.postTitle,.entry_row h2{background:none;color:#000000;font-family:times, "Times New Roman", times-roman, georgia, serif;font-size:1.4em;font-weight:bold;text-shadow: #fff9f3 2px 2px 2px;}
.entry_row h3,.entry_row h4{color:#000000;text-shadow: #735d4a 2px 2px 2px;}
.post-date{padding-bottom:0;color:#5a411c;text-shadow: #806b4c 2px 2px 2px;text-transform:uppercase;font-weight:bold;}

.entry_row.excerpt{margin:5px 0;padding:10px 5px 5px;background:#ffffff;border-bottom:solid 2px #7f7b73;color:#605e5e;}
.entry_row.readmore{margin:5px 0;padding:5px 5px 10px 5px;background:#ffffff;border-bottom:solid 2px #7f7b73;color:#605e5e;}
.entry_row.readmore a{color:#9f3713;font-weight:bold;}

.navigation.archiveNavigation_row,.navigation.archiveNavigation{display:block;}
.navigation_row{padding-left:5px;}

.postimage{text-align:center;margin:5px 0 10px 0;}
.postTitle{padding-left:5px;}
.entry_row.excerpt,.entry_row.singlepost,.postTags,.postmetadata.alt,.postimage,.entry_row.page,.postmetadata.waplsmall.commentlist.even,.postmetadata.waplsmall.commentlist.odd{background:#ffffff;border-bottom:solid 3px #7f7b73;color:#605e5e;padding:5px;}

.search,.commentTitle_row label,.commentTitle,.author,.homeCategoryHeader,.homeCategories,.entry_row.pagetitle,.entry_row h2,.navHome,
	.postmetadata.tags,.postmetadata.categories,.post-date_row,.postmetadata.commentsTitle{padding-left:5px;}
#s,#search,.commentTitle_row input,.commentTitle_row textarea{margin:5px 0 10px 5px;border:solid 2px #7f7b73;border-width:1px 2px 2px 1px;padding:5px;}
.search h3,.postmetadata h3,.commentTitle h3,.homeCategoryHeader h3{color:#000000;text-shadow: #735d4a 2px 2px 2px;}

label,input,textarea,select{margin-left:5px;}
.entry_row input,.entry_row textarea,.entry_row select{border:solid 2px #1c1b1c;border-width:1px 2px 2px 1px;padding:5px;}

#footer{background:#000000;border-top:solid 1px #835939;padding:10px 5px;color:#aaaaaa;}
#switchToDesktop{background:#000000;color:#aaaaaa;padding-left:5px;}
<?php
if(get_option('architect_home_firstimage'))
{
	echo '.entry_row.h2.imagePreview{width:'.((100-$homepagescale)-10).'%;}';
}

if(get_option('architect_use_headerimage'))
{
	echo '#header{height:auto;background:none;margin:0;padding:0;border:none;}#header a{margin:0;padding:0;}';
}
if($getShowExcerpt AND $getReadMore)
{
	echo '.entry_row.excerpt_row{padding-bottom:0;}';
	echo '.entry_row.excerpt{margin-bottom:0;border-bottom:0;}';
	echo '.entry_row.readmore{margin-top:0;}';
} else if($getReadMore)
{
	echo '.entry_row.readmore{padding-bottom:5px;background:#ffffff;}';
}
?>

<?php 
		break;
	default:
		break;
}
?>